### Method

# WebKit2 WebView run_javascript_from_gresource_finish

#### Declaration [src]

    WebKitJavascriptResult*
    webkit_web_view_run_javascript_from_gresource_finish (
      WebKitWebView* web_view,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish an asynchronous operation started with webkit_web_view_run_javascript_from_gresource().

Check `webkit_web_view_run_javascript_finish()` for a usage example.

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `WebKitJavascriptResult`
| A `WebKitJavascriptResult` with the result of the last executed statement in `script` or `NULL` in case of error.
| The caller of the method takes ownership of the data, and is responsible for freeing it.